import request from "@/router/axios";

export default {
  // 根据任务类型获取表单配置
  getTaskContentConfigByTaskTypeId: taskTypeId => {
    return request({
      url: `admin/api/getTaskContentConfigByTaskTypeId/${taskTypeId}`,
      method: "get"
    });
  },
  // 根据链接生成二维码图片
  getQrCodeByUrl: url => {
    return request({
      url: `admin/api/getQrCodeByUrl?url=${encodeURIComponent(
        url
      )}&width=${170}&height=${170}`,
      method: "get"
    });
  }
};
